summaryrefslogtreecommitdiffstats
path: root/mcabber
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2006-01-13 10:31:31 +0000
committer Eric Hameleers <alien@slackware.com>2006-01-13 10:31:31 +0000
commit96fd8bd91af77834cda7c6bda4628f9ad5b79745 (patch)
treea11eb2ee5bf8940c2137e359dbcd7280d09c5d9a /mcabber
parent1007aeddee2bc9c0e6c20ec49acda8c91772bcaf (diff)
downloadasb-96fd8bd91af77834cda7c6bda4628f9ad5b79745.tar.gz
asb-96fd8bd91af77834cda7c6bda4628f9ad5b79745.tar.xz
Initial revision
Diffstat (limited to 'mcabber')
-rwxr-xr-xmcabber/build/mcabber.SlackBuild234
1 files changed, 234 insertions, 0 deletions
diff --git a/mcabber/build/mcabber.SlackBuild b/mcabber/build/mcabber.SlackBuild
new file mode 100755
index 00000000..6931c3be
--- /dev/null
+++ b/mcabber/build/mcabber.SlackBuild
@@ -0,0 +1,234 @@
+#!/bin/sh
+# Copyright (c) 2006 Eric Hameleers <alien@sox.homeip.net>
+# Distributed under the terms of the GNU General Public License, Version 2
+#
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@sox.homeip.net>
+# For: mcabber
+# URL: http://www.lilotux.net/~mikael/mcabber/
+# Needs:
+# Changelog:
+# 0.6.5-1: 17/Aug/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Initial build.
+# 0.6.6-1: 18/Aug/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * New release
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=mcabber
+VERSION=0.6.6
+ARCH=${ARCH:-i486}
+BUILD=1
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+fi
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball for $PRGNAM..."
+tar -xjvf $CWD/${PRGNAM}-${VERSION}.tar.bz2
+
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+# Install wrapper script:
+mv $PKG/usr/bin/mcabber $PKG/usr/bin/mcabber.bin
+cat <<EEOOTT > $PKG/usr/bin/mcabber
+#!/bin/sh
+#
+# Wrapper script, sets up a mcabberrc file if none exists.
+#
+# Eric Hameleers <alien@sox.homeip.net> | 17aug2005
+#
+
+if [ -f ~/.mcabberrc -o -f ~/.mcabber/mcabberrc ]; then
+ exec mcabber.bin
+fi
+
+cat <<EOT
+It seems you're running mcabber for the first time.
+
+We are going to setup a configuration file now, by asking a few questions.
+You will need to have already created a Jabber account, since mcabber is not
+(yet) able to create an account for you.
+
+EOT
+
+read -t 10 -p "Continue (Y/n)? : " YESNO
+if [ \$? -ne 0 -o "\${YESNO:0:1}" = "N" -o "\${YESNO:0:1}" = "n" ]; then
+ echo "... Please restart if you're sure what you want. Exiting now."
+ exit 1
+fi
+
+read -p "Your username: " JUSER
+read -p "Your Jabber server: " JSERVER
+read -p "Use SSL (y/N): " JSSL
+if [ "\${JSSL:0:1}" = "N" -o "\${JSSL:0:1}" = "n" -o "\${JSSL}" = "" ]; then
+ JSSL="0"
+ JPORT=5222
+else
+ JSSL="1"
+ JPORT=5223
+fi
+echo -n "Port to connect at Jabber server \$JSERVER (\${JPORT}): "
+read DPORT
+
+if ! [ "\$DPORT" = "" ]; then
+ JPORT=\$DPORT
+fi
+
+JSSLTEXT=("not" "")
+echo "You are \${JUSER}@\${JSERVER} connecting at port \${JPORT}, \${JSSLTEXT[\$JSSL]} using SSL."
+echo "You can make modifications to ~/.mcabber/mcabberrc"
+echo "Look at /usr/doc/$PRGNAM-$VERSION/mcabberrc.sample for more keywords."
+echo ""
+
+mkdir ~/.mcabber
+cat <<EOT > ~/.mcabber/mcabberrc
+set username = \$JUSER
+set server = \$JSERVER
+set ssl = \$JSSL
+set port = \$JPORT
+set resource = mcabber
+alias online = status online
+alias away = status away
+alias dnd = status dnd
+alias notavail = status notavail
+bind 24 = roster alternate
+bind 269 = roster toggle_offline
+EOT
+
+chmod -R go-rwx ~/.mcabber
+exec mcabber.bin
+EEOOTT
+
+chmod 755 $PKG/usr/bin/mcabber
+
+
+# --- DOCUMENTATION ---
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README TODO mcabberrc.example \
+ doc/mcabber.1.txt doc/mcabber.1.html doc/manpage.css"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/*
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $CWD/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi